<?php
	require_once( $GLOBALS["site_root"]."/includes/widgets/Widget.inc.php" );

	class LGreenBox extends Widget {
		protected $bJustContent = false;
	
		public function setJustContent( $v ) { $this->bJustContent = $v; }

		public function renderContent() {
			$filename = $this->getTemplateFilename( ".content" );
			return $this->renderFromTemplate( $filename );
		}

		public function render() {
			$this->renderWidgets();
			$this->setParam( "debug_log_queries" , FNTH_db_renderlog() );
			$this->setParam( "content" , $this->renderContent() );
			$this->setParam( "bJustContent" , $this->bJustContent );
			return parent::render();
		}
	}

?>
